Bug 429200 - Taglist: Exuberant ctags (http://ctags.sf.net) not found in PATH. Plugin is not loaded
Taglist: Exuberant ctags (http://ctags.sf.net) not found in PATH. Plugin is ...
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-17 16:55 EST by Jesse Keating
Modified: 2013-01-09 21:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-21 06:11:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-01-17 16:55:53 EST
Summary says it all.  This annoying message pops up each and every time vim is
launched.  Please make it go away.
Comment 1 Karsten Hopp 2008-01-18 08:57:28 EST
which vim version ? Do you have a tags file in your current directory or does it
happen regardless of your current working directory ?
Is it reproducable with the latest vim version 7.1.233 ?
Comment 2 Jesse Keating 2008-01-18 10:16:21 EST
It was happening with vim-enhanced-7.1.230-2.fc9.  Did not matter what directory
I was in.  I will try 233.

Yes it still reproduces in 233.  Is there perhaps a Requires missing?  This is a
fairly minimal install.
Comment 3 Karsten Hopp 2008-01-18 10:31:25 EST
yes, that was the missing hint. I can reproduce it and I'm testing a fix now.
Comment 4 Karsten Hopp 2008-01-18 14:04:30 EST
please try vim-enhanced-7.1.233-2.fc9
Comment 5 Karsten Hopp 2008-01-21 06:11:52 EST
looks like it works now
Comment 6 Sven Keidel 2009-04-05 09:36:44 EDT
The bug depends on the vim plugin "taglist". The plugin requirers the "Exuberant ctags" wich you can download at http://ctags.sf.net. After you have unziped it, you have to add the ctags location to the PATH variable, or set the Tlist_Ctags_Cmd variable in the .vimrc file (http://vim-taglist.sourceforge.net/manual.html#%27Tlist_Ctags_Cmd%27). 
let Tlist_Ctags_Cmd = 'd:\tools\ctags.exe'

let Tlist_Ctags_Cmd = '/usr/local/bin/ctags'

Now restart Vim and the message shouldnt pop up again

Note You need to log in before you can comment on or make changes to this bug.